Subject: RE: LS_COLORS operational? and info info
From: [email-masked] (Lincoln, W. Terry)

21 Jan 1999 19:25:54 -0800
Message-ID: <[email-masked]>
To: Dave Finnegan <[email-masked]>
Cc: "'gnu-win32 mail list'" <[email-masked]>

Hi,

To get a colors.nt files just do this:
1. cd
2. dircolors -p > colors.nt
3. vim colors.nt
# edit the file (use another editor if you don't have vim)
4. eval `(dircolors colors.nt)`

The file 'colors.nt' can be any file you want in your home directory.

 -----Original Message-----
From: Dave Finnegan [mailto:[email-masked]]
Sent: Wednesday, January 20, 1999 3:15 PM
To: Lincoln, W. Terry
Cc: Michael Hirmke; 'gnu-win32 mail list'
Subject: Re: LS_COLORS operational? and info info

 ----------------------------------------------------
I'd like to enable colors ... could you provide the "colors.nt" file,   
please?

Thanks,

  Dave

"Lincoln, W. Terry" wrote:

> Michael Hirmke wrote:
> > Hi,
> >
> > [...]
> > >prompt> eval 'dircolors colors.nt'
> > >LS_COLORS='<lots of blurb>';
> > >export LS_COLORS
> > >
> > >But LS_COLORS is not actually set.  If I manually set the variable
> myself
> > >(export LS_COLORS='<lots of blurb>') then it works...
> >
> > You have to source the script, so that the env var is added to your
> > actual shell. You are trying to change the environment of the calling
> > shell, which isn't possible in a Unix like environment.
> > So write the commands to .bashrc or some other script
> >
> > >> > ------------------------< snip snip snip
> >-----------------------------
> > >> > eval `dircolors colours-for-ls.nt4`
> > >> > alias ls="ls --color=tty -F -T 0"
> > >> > ------------------------< snip snip snip
> >-----------------------------
> >
> > and then call it with either
> >
> > . ./.bashrc
> >
> > or
> >
> > source ./.bashrc
>
> This actually works quite fine on my Cygwin B20.1 NT-4.0 machine:
> $ eval `(dircolors colors.nt)`
> I think the parens are needed to support the semi-colons generated by   
the
> program.
>
> >
> > Bye.
> > Michael.
>
> Hope it works for you...

    __
   |  |    /===============================
 __|  |__   / For GOD so loved the world that He gave
|        |  /  His only son, that whosoever believeth on
|__    __|      /   Him should not perish but have everlasting
   |  |     /    life.  (John 3:16)
   |  |    /     mailto:[email-masked]
   |  |   /    May His peace be found in you,
   |  |  /     W. Terry Lincoln
 /~~~~~~\ /      (senior engineer - Ultimate Technology Corporation)
http://www.AngelFire.com/ny/TerryLincoln
http://www.geocities.com/Eureka/Concourse/7326

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".